function [C,B,A]=dr2pr(b,a)                          % 직잡형을 병렬형으로 변환

N=length(a);                                         % H(z) 분모 다항식의 길이 
[r1 p1 C]=residuez(b,a);                             % H(z)를 부분 분수 전개
p=cplxpair(p1,10000*eps);                            % 공액 복소극 쌍 재정렬
I=[];
for k=1:N-1
   for m=1:N-1
        if abs(p1(m)-p(k))<0.0001
            I=[I,m];                                 % 부분 분수 계수 순서 재정렬
        end
   end
end
r=r1(I);                                             % 부분 분수 계수 재정렬
K=floor(N/2);                                        % 병렬 항의 개수
B=zeros(K,2); A=zeros(K,3);                          % 변환 결과 초기화 
for  k=1:K-1
   Bkr=r(2*k-1:2*k,:);                               % k번째 병렬항 분자 계수 쌍 
   Akr=p(2*k-1:2*k,:);                               % k번째 병렬항 공액 복소극 쌍
   [Bkr,Akr]=residuez(Bkr,Akr,[]);                   % k번째 병렬항 분자, 분모 계수
   B(k,:)=real(Bkr);                                 % k번째 병렬항 분자 다항식  
   A(k,:)=real(Akr);                                 % k번째 병렬항 분모 다항식 
end
if N==2*K                                            % 가 홀수 차수(실극 존재)
   [BKr,AKr]=residuez(r(N-1),p(N-1),[]);             % K번째 병렬항 분자, 분모 계수
   B(K,:)=[real(BKr) 0];                             % K번째 병렬항 분자 다항식
   A(K,:)=[real(AKr) 0];                             % K번째 병렬항 분모 다항식
else
   [BKr,AKr]=residuez(r(N-2:N-1),p(N-2:N-1),[]);     % K번째 병렬항 분자, 분모 계수
   B(K,:)=real(BKr);                                 % K번째 병렬항 분자 다항식
   A(K,:)=real(AKr);                                 % K번째 병렬항 분모 다항식
end
